package com.supwisdom.dlpay.api.domain;

import javax.persistence.*;

/**
 * Created by shuwei on 2019/4/9.
 */
@Entity
@Table(name = "TB_SOURCETYPE")
public class TSourceType {
  @Id
  @Column(name = "PAYTYPE", nullable = false, length = 20)
  private String sourceType;

  @Column(name = "ENABLE", nullable = false, length = 20)
  private String enable;

  @Column(name = "CHARGE_ENABLE", nullable = false, length = 10)
  private String chargeEnable; //充值总开关

  @Column(name = "CONSUME_ENABLE", nullable = false, length = 10)
  private String consumeEnable; //消费总开关

  @Column(name = "ANONYMOUS_ENABLE", nullable = false, length = 10)
  private String anonymousEnable; //匿名消费总开关

  @Column(name = "checkable")
  private Boolean checkable; // 是否需要清算

  @Column(name = "PAYDESC", length = 200)
  private String paydesc;

  public String getSourceType() {
    return sourceType;
  }

  public void setSourceType(String sourceType) {
    this.sourceType = sourceType;
  }

  public String getEnable() {
    return enable;
  }

  public void setEnable(String enable) {
    this.enable = enable;
  }

  public String getChargeEnable() {
    return chargeEnable;
  }

  public void setChargeEnable(String chargeEnable) {
    this.chargeEnable = chargeEnable;
  }

  public String getConsumeEnable() {
    return consumeEnable;
  }

  public void setConsumeEnable(String consumeEnable) {
    this.consumeEnable = consumeEnable;
  }

  public String getAnonymousEnable() {
    return anonymousEnable;
  }

  public void setAnonymousEnable(String anonymousEnable) {
    this.anonymousEnable = anonymousEnable;
  }

  public String getPaydesc() {
    return paydesc;
  }

  public void setPaydesc(String paydesc) {
    this.paydesc = paydesc;
  }

  public Boolean getCheckable() {
    return checkable;
  }

  public void setCheckable(Boolean checkable) {
    this.checkable = checkable;
  }
}
